com.fasterxml.jackson.annotation

## Annotation Type JsonGetter

    @Target(value={ANNOTATION_TYPE,METHOD})
     @Retention(value=RUNTIME)
    public @interface JsonGetter

Marker annotation that can be used to define a non-static, no-argument value-returning (non-void) method to be used as a "getter" for a logical property. It can be used as an alternative to more general `JsonProperty` annotation (which is the recommended choice in general case).

Getter means that when serializing Object instance of class that has this method (possibly inherited from a super class), a call is made through the method, and return value will be serialized as value of the property.

### Optional Element Summary

Optional Elements
`String` `value` Defines name of the logical property this method is used to access ("get"); empty String means that name should be derived from the underlying method (using standard Bean name detection rules)

### Element Detail

#### value

    public abstract String value

Defines name of the logical property this method is used to access ("get"); empty String means that name should be derived from the underlying method (using standard Bean name detection rules)

Returns:
  Name of the logical property (or "" to use 'default', if available)

Default:
  ""